Update a Section by ID
1 min
PATCH
https://api.optimizely.com/v2/experiments/{experiment_id}/sections/{section_id}
section_idinteger<int64>The ID of the Section you want to update
experiment_idintegerThe ID of the Multivariate Test the requested Section is part of
acceptstringGenerated from available response content types
bodyobjectA string in JSON format that includes all the fields to create a Section
200Successfully updated Section
401Invalid credentials
403You do not have permission to access the specified Section
404Section or Experiment not found
defaultUnexpected error
curl --request PATCH \
--url https://api.optimizely.com/v2/experiments/{experiment_id}/sections/{section_id} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"variations": [
{
"actions": [
{
"changes": [
{
"type": ""
}
],
"page_id": ""
}
],
"weight": ""
}
]
}'